Missing temp dirs on Fedora, and failure to log
Pull request:    

Description

"sudo /etc/init.d/foreman start" couldn't work on Fedora because of a lack of tmp dirs (/var/run is tmpfs), which can be fixed like so:

root# cat /etc/tmpfiles.d/foreman.conf

D /var/run/foreman/ 0755 foreman foreman -

D /var/run/foreman/sockets 0755 foreman foreman -

D /var/run/foreman/sessions 0755 foreman foreman -

D /var/run/foreman/pids 0755 foreman foreman -

D /var/run/foreman/cache 0755 foreman foreman -

(Just tested.)

It also didn't appear, via strace, to try to send its failure to create a PID file to syslog or anything, so the failure was silent; having that

fixed too would be nice.

-Robin

History

#1 - 07/12/2011 09:46 AM - Howard Jones

I've just run into a similar problem on CentOS using the foreman-supplied RPMs. They do create the /var/run directories, but don't chown them to the

user 'foreman'. The init script says OK, but actually silently fails.

#2 - 07/13/2011 01:17 AM - D. Johnson

Might be the same issue as #928

RPM test files, located at http://fenris02.fedorapeople.org/foreman/

Please let me know if they work for you. (Both f15 and el5 are there, choose the one that matches your install)

#3 - 11/15/2012 06:15 AM - Benjamin Papillon

- Status changed from New to Closed

- Target version set to Bug scrub

Hello,

This bug has been fixed in new RPM files
